/*
 * File: Counter.java
 * ================================================================
 * A class representing a tally counter.
 */
public class Counter {
	/* The total value tracked so far. */
	private int total;
	
	/**
	 * Creates a counter with a specified initial value.
	 * 
	 * @param initialValue The initial value for the coutner.
	 */
	public Counter(int initialValue) {
		total = initialValue;
	}
	
	/**
	 * Creates a counter showing 0.
	 */
	public Counter() {
		// No need to do anything
	}
	
	/**
	 * Increments the counter.
	 */
	public void increment() {
		total++;
	}
	
	/**
	 * Hands back the value displayed in the counter.
	 * 
	 * @return The value displayed in the counter.
	 */
	public int getTotal() {
		return total;
	}
	
	/**
	 * Returns a human-readable string representation of the counter.
	 * 
	 * @return A nice, pretty string with the total in it.
	 */
	public String toString() {
		return "{" + total + "}";
	}
}
