/*
 * File: CountingIsFun.java
 * ================================================================
 * A program that shows off how we can use counters.
 */
import java.util.*;
import acm.program.*;

public class CountingIsFun extends ConsoleProgram {
	public void run() {
		/* How much fun? Size-32 bold font fun! */
		setFont("DejaVuSerif-BOLD-32");
		
		/* Use the counters to keep track of all the phrases we entered. */		
		HashMap<String, Counter> counters = new HashMap<String, Counter>();
		while (true) {
			String input = readLine("Enter some text: ");
			
			/* Ensure there's a counter here for us. */
			if (!counters.containsKey(input)) {
				counters.put(input, new Counter());
			}
			
			/* Increment and display the counter. */
			counters.get(input).increment();
			println("Seen: " + counters.get(input));
		}
	}
}
